Bug #458

Support for mod_suPHP && maybe suhosin

Added by Tim Ballantine over 6 years ago. Updated almost 4 years ago.

Status:Confirmed Start date:24 Jul 2008
Priority:Normal Due date:
Assignee:- % Done:

0%

Category:-
Target version:OpenPanel - 2.0 Big hoster

Description

As per summary


Related issues

related to openpanel-mod-apache2 - Feature #691: Use suexec New 19 Nov 2010
duplicated by OpenPanel - Feature #749: Feature request: secure by default Closed 16 Dec 2010

History

Updated by Pim van Riezen over 6 years ago

I think we already anticipated suphp, it should be a matter of writing the proper userid statement that suphp needs to the vhost file, surrounded by an <ifmodule> if possible.

Not sure what the situation is with suphp and off-the-shelf packages, if that isn't too hard and it is possible to fall back to mod_php for sites that want this, this would be a winning strategy. If it's a binary choice, it should be an install-time choice, switching from stuff running under the apache user to running under the site owner's user tends to break a lot of existing sites.

Updated by Peter van Dijk almost 5 years ago

i'm not sure what openpanel would have to configure about suhosin; as for suphp/suexec/etc. we should just update our templates with some <ifmodule> indeed.

Updated by Peter van Dijk about 4 years ago

  • Target version changed from 0 to 1.1

Updated by Koert van der Veer about 4 years ago

  • Target version changed from 1.1 to 2.0 Big hoster

Updated by Peter van Dijk almost 4 years ago

  • Status changed from In Progress to Confirmed

Also available in: Atom PDF